> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save shared architecture layout without model diffs



## OpenAPI

````yaml /openapi/customer-api.json put /project/{projectId}/diagrams/architecture-layout/{scope}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Audit
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Events
  - name: Files
  - name: Import
  - name: Notifications
  - name: Persistent agents
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Review policy
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/diagrams/architecture-layout/{scope}:
    put:
      tags:
        - Diagrams
      summary: Save shared architecture layout without model diffs
      operationId: DiagramsController_saveArchitectureLayout
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: scope
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArchitectureLayoutDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchitectureLayoutResponseDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    ArchitectureLayoutDto:
      properties:
        schema:
          additionalProperties: true
          type: object
        store:
          additionalProperties: true
          type: object
      required:
        - store
        - schema
      type: object
    ArchitectureLayoutResponseDto:
      properties:
        snapshot:
          allOf:
            - $ref: '#/components/schemas/ArchitectureLayoutDto'
          nullable: true
          type: object
      required:
        - snapshot
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.